Bug 46472 - Anaconda fails during install of 7.1
Anaconda fails during install of 7.1
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-28 20:09 EDT by William Mounsey
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-13 11:35:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anacdump.txt (9.98 KB, text/plain)
2001-06-28 20:11 EDT, William Mounsey
no flags Details

  None (edit)
Description William Mounsey 2001-06-28 20:09:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows 98)

Description of problem:
I was attempting a custom install, using druid, having lilo written to the 
root partition because I have system commander 2000 installed, default 
boot image was linux, created 1 account, enabled md5 and shadow only, a 
static IP, enabling printer support, x windows system, kde, mail/www/news 
tools, dos/windows connectivity, games, ftp, www, samba, and I believe 
sendmail was an option as well... 

The last step of the install where anaconda was just starting to install 
the OS, the system would halt and I was able to generate the file below:

Here is the anacdump file that was generated:
Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 1771, in 
doInstall
    self.fstab.mountFilesystems (self.instPath)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/fstab.py", line 847, in 
mountFilesystems
    iutil.mkdirChain(instPath + mntpoint)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iutil.py", line 237, in 
mkdirChain
    os.mkdir(path, 0755)
OSError: [Errno 5] Input/output error: '/mnt/sysimage/boot'

Local variables in innermost frame:
which: 4
dir: /mnt/sysimage/boot
elements: ['', 'mnt', 'sysimage', 'boot']
path: /mnt/sysimage/boot

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S'1280x1024'
p4
sS'progressWindow'
p5
NsS'setupFilesystems'
p6
I1
sS'monitorVsync'
p7
S'50.0-160.0'
p8
sS'videoCardStateNode'
p9
S''
sS'serial'
p10
I0
sS'ddruidReadOnly'
p11
I0
sS'bootdisk'
p12
I1
sS'videoRamState'
p13
I7
sS'monitorOriginalName'
p14
S'Hitachi CM771'
p15
sS'language'
p16
(itodo
Language
(dp17
S'langInfoByName'
p18
(dp19
S'Arabic (Yemen)'
p20
(S'ar_YE'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Argentina)'
p21
(S'es_AR'
S'iso01'
S'lat0-sun16'
tsS'Italian (Italy)'
p22
(S'it_IT@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Lebanon)'
p23
(S'ar_LB'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Guatemala)'
p24
(S'es_GT'
S'iso01'
S'lat0-sun16'
tsS'Malay (Malaysia)'
p25
(S'ms_MY'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Libyan Arab Jamahiriya)'
p26
(S'ar_LY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Oman)'
p27
(S'ar_OM'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Iraq)'
p28
(S'ar_IQ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Kuwait)'
p29
(S'ar_KW'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (South Africa)'
p30
(S'en_ZA'
S'iso01'
S'lat0-sun16'
tsS'French (Switzerland)'
p31
(S'fr_CH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Bahrein)'
p32
(S'ar_BH'
S'iso06'
S'LatArCyrHeb-16'
tsS'Croatian'
p33
(S'hr_HR'
S'iso02'
S'lat2-sun16'
tsS'French (France)'
p34
(S'fr_FR@euro'
S'iso15'
S'lat0-sun16'
tsS'Greenlandic (Greenland)'
p35
(S'kl_GL'
S'iso01'
S'lat0-sun16'
tsS'Korean (Republic of Korea)'
p36
(S'ko_KR.euckr'
S'iso01'
S'lat0-16'
tsS'Ukrainian'
p37
(S'uk_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Spanish (Mexico)'
p38
(S'es_MX'
S'iso01'
S'lat0-sun16'
tsS'Greek'
p39
(S'el_GR'
S'iso07'
S'gr.f16'
tsS'Spanish (El Salvador)'
p40
(S'es_SV'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Peru)'
p41
(S'es_PE'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Honduras)'
p42
(S'es_HN'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Costa Rica)'
p43
(S'es_CR'
S'iso01'
S'lat0-sun16'
tsS'English (Denmark)'
p44
(S'en_DK'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Netherlands)'
p45
(S'nl_NL@euro'
S'iso15'
S'lat0-sun16'
tsS'Serbian (Yugoslavia)'
p46
(S'sr_YU@cyrillic'
S'iso05'
S'cyr-sun16'
tsS'Russian (Ukraine)'
p47
(S'ru_UA'
S'koi8-u'
S'cyr-sun16'
tsS'Portuguese (Portugal)'
p48
(S'pt_PT@euro'
S'iso15'
S'lat0-sun16'
tsS'Afrikaans (South Africa)'
p49
(S'af_ZA'
S'iso01'
S'lat0-sun16'
tsS'Norwegian'
p50
(S'no_NO'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Morocco)'
p51
(S'ar_MA'
S'iso06'
S'LatArCyrHeb-16'
tsS'English (Philippines)'
p52
(S'en_PH'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Algeria)'
p53
(S'ar_DZ'
S'iso06'
S'LatArCyrHeb-16'
tsS'Indonesian'
p54
(S'id_ID'
S'iso01'
S'lat0-sun16'
tsS'Danish'
p55
(S'da_DK'
S'iso01'
S'lat0-sun16'
tsS'Chinese (Taiwan R.O.C.)'
p56
(S'zh_TW.euctw'
S'iso01'
S'lat0-16'
tsS'Faroese (Faroe Islands)'
p57
(S'fo_FO'
S'iso01'
S'lat0-sun16'
tsS'Galician (Spain)'
p58
(S'gl_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'English (New Zealand)'
p59
(S'en_NZ'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Bolivia)'
p60
(S'es_BO'
S'iso01'
S'lat0-sun16'
tsS'Cornish (Britain)'
p61
(S'kw_GB'
S'iso01'
S'lat0-sun16'
tsS'Arabic (United Arab Emirates)'
p62
(S'ar_AE'
S'iso06'
S'LatArCyrHeb-16'
tsS'German (Austria)'
p63
(S'de_AT@euro'
S'iso15'
S'lat0-sun16'
tsS'Romanian'
p64
(S'ro_RO'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Paraguay)'
p65
(S'es_PY'
S'iso01'
S'lat0-sun16'
tsS'Hebrew (Israel)'
p66
(S'he_IL'
S'iso08'
S'LatArCyrHeb-16'
tsS'English (USA)'
p67
(S'en_US'
p68
S'iso01'
p69
S'lat0-sun16'
p70
tsS'Spanish (USA)'
p71
(S'es_US'
S'iso01'
S'lat0-sun16'
tsS'Portuguese (Brasil)'
p72
(S'pt_BR'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Equador)'
p73
(S'es_EC'
S'iso01'
S'lat0-sun16'
tsS'Polish'
p74
(S'pl_PL'
S'iso02'
S'lat2-sun16'
tsS'Slovak'
p75
(S'sk_SK'
S'iso02'
S'lat2-sun16'
tsS'Macedonian'
p76
(S'mk_MK'
S'iso05'
S'cyr-sun16'
tsS'Spanish (Spain)'
p77
(S'es_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Chile)'
p78
(S'es_CL'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Syrian Arab Republic)'
p79
(S'ar_SY'
S'iso06'
S'LatArCyrHeb-16'
tsS'Czech'
p80
(S'cs_CZ'
S'iso02'
S'lat2-sun16'
tsS'Irish'
p81
(S'ga_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Jordan)'
p82
(S'ar_JO'
S'iso06'
S'LatArCyrHeb-16'
tsS'Italian (Switzerland)'
p83
(S'it_CH'
S'iso01'
S'lat0-sun16'
tsS'German (Belgium)'
p84
(S'de_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Albanian'
p85
(S'sq_AL'
S'iso01'
S'lat0-sun16'
tsS'Finnish'
p86
(S'fi_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Swedish (Sweden)'
p87
(S'sv_SE'
S'iso01'
S'lat0-sun16'
tsS'English (Singapore)'
p88
(S'en_SG'
S'iso01'
S'lat0-sun16'
tsS'Dutch (Belgium)'
p89
(S'nl_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Panama)'
p90
(S'es_PA'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Venezuela)'
p91
(S'es_VE'
S'iso01'
S'lat0-sun16'
tsS'English (Great Britain)'
p92
(S'en_GB'
S'iso01'
S'lat0-sun16'
tsS'Russian'
p93
(S'ru_RU.koi8r'
S'koi8-u'
S'cyr-sun16'
tsS'Norwegian, Nynorsk (Norway)'
p94
(S'nn_NO'
S'iso01'
S'lat0-sun16'
tsS'English (Zimbabwe)'
p95
(S'en_ZW'
S'iso01'
S'lat0-sun16'
tsS'Spanish (Nicaragua)'
p96
(S'es_NI'
S'iso01'
S'lat0-sun16'
tsS'German (Luxemburg)'
p97
(S'de_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Colombia)'
p98
(S'es_CO'
S'iso01'
S'lat0-sun16'
tsS'Basque (Spain)'
p99
(S'eu_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Qatar)'
p100
(S'ar_QA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Arabic (Egypt)'
p101
(S'ar_EG'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Belgium)'
p102
(S'fr_BE@euro'
S'iso15'
S'lat0-sun16'
tsS'English (Ireland)'
p103
(S'en_IE@euro'
S'iso15'
S'lat0-sun16'
tsS'Hungarian'
p104
(S'hu_HU'
S'iso02'
S'lat2-sun16'
tsS'Arabic (Tunisia)'
p105
(S'ar_TN'
S'iso06'
S'LatArCyrHeb-16'
tsS'French (Luxemburg)'
p106
(S'fr_LU@euro'
S'iso15'
S'lat0-sun16'
tsS'Japanese'
p107
(S'ja_JP.eucJP'
S'iso01'
S'lat0-16'
tsS'Swedish (Finland)'
p108
(S'sv_FI@euro'
S'iso15'
S'lat0-sun16'
tsS'Arabic (Saudi Arabia)'
p109
(S'ar_SA'
S'iso06'
S'LatArCyrHeb-16'
tsS'Spanish (Dominican Republic)'
p110
(S'es_DO'
S'iso01'
S'lat0-sun16'
tsS'French (Canada)'
p111
(S'fr_CA'
S'iso01'
S'lat0-sun16'
tsS'English (Canada)'
p112
(S'en_CA'
S'iso01'
S'lat0-sun16'
tsS'German (Germany)'
p113
(S'de_DE@euro'
S'iso15'
S'lat0-sun16'
tsS'Slovenian (Slovenia)'
p114
(S'sl_SI'
S'iso02'
S'lat2-sun16'
tsS'Spanish (Uruguay)'
p115
(S'es_UY'
S'iso01'
S'lat0-sun16'
tsS'German (Switzerland)'
p116
(S'de_CH'
S'iso01'
S'lat0-sun16'
tsS'English (Hong Kong)'
p117
(S'en_HK'
S'iso01'
S'lat0-sun16'
tsS'English (Australia)'
p118
(S'en_AU'
S'iso01'
S'lat0-sun16'
tsS'Catalan (Spain)'
p119
(S'ca_ES@euro'
S'iso15'
S'lat0-sun16'
tsS'Spanish (Puerto Rico)'
p120
(S'es_PR'
S'iso01'
S'lat0-sun16'
tsS'Turkish'
p121
(S'tr_TR'
S'iso09'
S'lat5-sun16'
tsS'Estonian'
p122
(S'et_EE'
S'iso01'
S'lat0-sun16'
tsS'Arabic (Sudan)'
p123
(S'ar_SD'
S'iso06'
S'LatArCyrHeb-16'
tsS'Icelandic'
p124
(S'is_IS'
S'iso01'
S'lat0-sun16'
tsS'English (Botswana)'
p125
(S'en_BW'
S'iso01'
S'lat0-sun16'
tsS'Manx Gaelic (Britain)'
p126
(S'gv_GB'
S'iso01'
S'lat0-sun16'
tssS'allSupportedLangs'
p127
(lp128
g49
ag85
ag53
ag32
ag101
ag28
ag82
ag29
ag23
ag26
ag51
ag27
ag100
ag109
ag123
ag79
ag105
ag62
ag20
ag99
ag119
ag56
ag61
ag33
ag80
ag55
ag89
ag45
ag118
ag125
ag112
ag44
ag92
ag117
ag103
ag59
ag52
ag88
ag30
ag67
ag95
ag122
ag57
ag86
ag102
ag111
ag34
ag106
ag31
ag58
ag63
ag84
ag113
ag97
ag116
ag39
ag35
ag66
ag104
ag124
ag54
ag81
ag22
ag83
ag107
ag36
ag76
ag25
ag126
ag50
ag94
ag74
ag72
ag48
ag64
ag93
ag47
ag46
ag75
ag114
ag21
ag60
ag78
ag98
ag43
ag110
ag40
ag73
ag24
ag42
ag38
ag96
ag90
ag65
ag41
ag120
ag77
ag71
ag115
ag91
ag108
ag87
ag121
ag37
asS'info'
p129
(dp130
S'SYSFONT'
p131
g70
sS'SUPPORTED'
p132
S'en_US:en'
p133
sS'SYSFONTACM'
p134
g69
sS'LANG'
p135
g68
ssS'supported'
p136
(lp137
S'English (USA)'
asS'default'
p138
S'English (USA)'
p139
sbsS'instClass'
p140
(icustom
InstallClass
(dp141
S'rootPasswordCrypted'
p142
I0
sS'raidList'
p143
(lsS'nameserver'
p144
S''
sS'x'
NsS'rootPassword'
p145
NsS'makeBootdisk'
p146
I0
sS'installType'
p147
NsS'postScript'
p148
NsS'earlySwapOn'
p149
I0
sS'networkDevice'
p150
NsS'fstab'
p151
(lsS'clearText'
p152
NsS'lilo'
p153
(S'mbr'
p154
I1
S''
tsg16
NsS'name'
p155
S''
sS'postInChroot'
p156
I0
sS'pixmap'
p157
S''
sS'partitions'
p158
(lp159
(S'/boot'
p160
(I48
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I700
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p161
(I512
I1024
I1
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p162
S'wkst'
p163
sS'gateway'
p164
S''
sS'mouse'
p165
NsS'packages'
p166
NsS'timezone'
p167
NsS'zeroMbr'
p168
I0
sS'keyboard'
p169
NsS'groups'
p170
NsS'bootProto'
p171
NsS'netmask'
p172
S''
sS'langdefault'
p173
NsS'skipSteps'
p174
(dsS'auth'
p175
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsS'hostname'
p176
NsS'langsupported'
p177
NsS'showgroups'
p178
NsS'ip'
p179
S''
sS'firewall'
p180
(I-1
I1
(lp181
S''
I0
I0
I0
I0
I0
I0
tsS'defaultRunlevel'
p182
NsS'desktop'
p183
S'KDE'
p184
sS'clearPartText'
p185
S'Automatic partitioning will erase any preexisting Linux installations on 
your system.'
p186
sS'clearParts'
p187
I2
sbsS'bdstate'
p188
S'TRUE'
p189
sS'extraModules'
p190
(lp191
sS'rootpassword'
p192
NsS'fdDevice'
p193
S'fd0'
p194
sS'installSystem'
p195
I1
sS'comps'
p196
NsS'verifiedState'
p197
(lp198
((icomps
Package
p199
(dp200
S'size'
p201
I548864
sS'chains'
p202
(lp203
(lp204
(icomps
Component
p205
(dp206
S'includes'
p207
(lsg155
S'Everything'
p208
sS'hidden'
p209
I0
sg138
I0
sS'pkgs'
p210
(lp211
g199
a(icomps
Package
p212
(dp213
g201
I327680
sg202
(lp214
(lp215
(icomps
Component
p216
(dp217
g207
(lp218
(icomps
Component
p219
(dp220
g207
(lsg155
S'Printer Support'
p221
sg209
I0
sg138
I1
sg210
(lp222
(icomps
Package
p223
(dp224
g201
I5685248
sg202
(lp225
(lp226
g219
aa(lp227
g205
aasS'selected'
p228
I1
sS'h'

<failed>



How reproducible:
Always

Steps to Reproduce:
1.see description
2.
3.
	

Actual Results:  generated an error I was able to capture to floppy.  See 
description

Expected Results:  Installation complete

Additional info:
Comment 1 William Mounsey 2001-06-28 20:11:17 EDT
Created attachment 22106 [details]
anacdump.txt
Comment 2 Brent Fox 2001-07-03 12:06:34 EDT
Try booting with 'linux ide=nodma'  Does that help?
Comment 3 Brent Fox 2001-07-13 11:35:42 EDT
Closing due to inactivity. Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.